﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfRangeNavigator_127112
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        private void rangeNavigator1_Loaded(object sender, RoutedEventArgs e)
        {
            Binding binding = new Binding("IsChecked");
            binding.Source = checkBox;
            BoolToVisibilityConverter conv = new BoolToVisibilityConverter()
            {
                TrueValue = Visibility.Visible,
                FalseValue = Visibility.Collapsed
            };
            binding.Converter = conv;
            rangeNavigator1.SetBinding(VisibilityProperty, binding);

        }
     
    }

    public class Model
    {
        public DateTime Date
        {
            get;
            set;
        }
        public double Value
        {
            get;
            set;
        }
    }

    public class viewmodel
    {
        public viewmodel()
        {
            this.StockPriceDetails = new ObservableCollection<Model>();
            DateTime date = new DateTime(2015, 1, 1);
            Random rd = new Random();

            for (int i = 0; i < 182; i++)
            {
                this.StockPriceDetails.Add(new Model() { Date = date.AddDays(i), Value = rd.Next(50, 200) });
            }
        }

        public ObservableCollection<Model> StockPriceDetails { get; set; }
    }


    [ValueConversion(typeof(bool), typeof(Visibility))]
    public sealed class BoolToVisibilityConverter : IValueConverter
    {
        public Visibility TrueValue { get; set; }
        public Visibility FalseValue { get; set; }

        public BoolToVisibilityConverter()
        {
            // set defaults
            TrueValue = Visibility.Visible;
            FalseValue = Visibility.Collapsed;
        }

        public object Convert(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            if (!(value is bool))
                return null;
            return (bool)value ? TrueValue : FalseValue;
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            if (Equals(value, TrueValue))
                return true;
            if (Equals(value, FalseValue))
                return false;
            return null;
        }
    }

}
